.\" groff insists on hyphenating MariaDB as Mari-aDB, and that cannot
.\" stand.
.hw Maria-DB
.TH resume 7 "10 Feb 2024" "1.2" "Seth Morabito's Resume"
.SH NAME
resume \- Seth Morabito's Resume
.SH AUTHOR
Seth Morabito
.MT web@loomcom.com
.ME
.SH SYNOPSIS
.B man
\[char46]/resume.man
.SH DESCRIPTION
Accomplished, passionate, driven, and creative software engineer with
extensive experience solving problems at every level of the development
life cycle, from requirements analysis to deployment. Experience centers
around systems programming, back end software for Internet applications,
test driven development, tool development, and API design.
.SH EXPERIENCE
\fBCisco Systems\fP
.br
\fBSoftware Engineering Technical Leader\fP
.br
January 2023\(enCurrent
.PP
.IP \(bu 2
Responsible for feature development and operation of the Cisco DNS
resolver fleet, made up of several hundred recursive DNS resolvers
deployed on Debian Linux servers in Cisco datacenters world-wide, handling
traffic peaking at over 1 trillion queries per day.
.IP \(bu 2
Developed a configuration translation system in Go to deploy domain
categorization rules across the DNS resolver fleet.
.PP
\fBAkamai Technologies\fP
.br
\fBSenior Software Engineer II\fP
.br
November 2017\(enMarch 2022
.IP \(bu 2
Designed and built a Rust application that reused existing C++ libraries
and handled consuming over 10,000 Apache Kafka messages per second,
providing near real-time monitoring of our network’s provisioned state.
.IP \(bu 2
Engineered a Kafka Streams data aggregation and event detection system
that allowed customers to message their subscribers about potential
threats, and allowed the system to gracefully handle data center fail
over.
.PP
\fBNominum (Acquired by Akamai Technologies)\fP
.br
\fBSenior Software Engineer\fP
.br
October 2013\(enNovember 2017
.IP \(bu 2
Designed a lock-free data structure to hold tens of millions of URLs in
our HTTP proxy, reducing memory footprint and improving response time.
.IP \(bu 2
Built a customer reporting solution using Apache Kafka, HPE Vertica, and
InfluxDB capable of sustained ingest of thousands of rows per second.
.IP \(bu 2
Designed and built a RADIUS and DHCP IP Address change tracking system
capable of handling over 20,000 IP Address changes per second.
.PP
\fBGlyde Corporation\fP
.br
\fBSenior Software Engineer\fP
.br
December 2007\(enJuly 2013
.PP
Innovative Consumer-to-Consumer marketplace.
.IP \(bu 2
Designed and built a fraud detection and prevention system that
reduced fraudulent activity by 80% and significantly increased
customer satisfaction.
.IP \(bu 2
Spearheaded integration of the Glyde Marketplace with PayPal (payment
and withdrawal), and Twilio (SMS messaging).
.IP \(bu 2
Implemented a cohort analysis system to analyze buying and selling
patterns to improve business strategy decision making.
.PP
.SH SKILLS
\fBLanguages\fP
.RS 4
Extensive professional experience with C, Rust, Go, Java, and Ruby. Other
work and personal project experience with Python, JavaScript, and C++.
.RE
.sp
\fBTechnologies\fP
.RS 4
Linux, Docker, Apache Kafka, GraphQL, PostgreSQL, InfluxDB, Vertica.
.RE
.sp
\fBFundamentals\fP
.RS 4
Network & Web, Kafka Stream Processing, Object-Oriented Design,
Functional Programming, Test-Driven Development, Continuous Delivery,
Virtualization.
.RE
.SH BUGS
Spends too much time formatting resume in \fIgroff\fP.
.SH SEE ALSO
\fBHome Page\fP
.RS 4
.UR https://loomcom.com/
.UE
.RE
.sp
\fBGitHub\fP
.RS 4
.UR https://github.com/sethm/
.UE
.RE
.sp
\fBPersonal Git\fP
.RS 4
.UR https://git.loomcom.com/seth/
.UE
.RE
.sp
\fBLinkedIn\fP
.RS 4
.UR https://linkedin.com/in/sethmorabito/
.UE
.RE
